var actions = function(data){
    for(key in data){
        var message = data[key];
        switch (message.type) {
            case 'game':{
                switch (message.state) {
                    case 'start':{
                        var start = message.body;
                        timer = setInterval(
                            function(){
                                manageGame(start);
                            },
                            10
                        );
                        hasher.setHash('game');
                        break;
                    }
                    case 'stop':{
                        clearInterval(timer);
                    }
                }
            }
            case 'join':
            {
                var name = message.from;
                switch (message.state) {
                    case 'success':
                    {
                        $('#lobby button[data-choice!="' + name + '"]').removeClass('btn-default').addClass('btn-danger');
                        $('#lobby button[data-choice="' + name + '"]').removeClass('btn-default').addClass('btn-success');
                        playerName = name;
                        hasher.setHash('waiting-for-start');
                        break;
                    }
                    case 'event':
                    {
                        $('#lobby button[data-choice="' + name + '"]').removeClass('btn-default').addClass('btn-danger');
                        break;
                    }
                    case 'deny':
                    {
                        break;
                    }
                }
                break;
            }
            case 'timer':{
                var start = message.body;
                var sync = start - microtime(true);
                $('#timer').attr('data-start', start);
                $('#timer').attr('data-sync', sync);
            }
        }
    }
}
